Package org.silverpeas.mobile.client.common

## Class Notification

- java.lang.Object
- - org.silverpeas.mobile.client.common.Notification

-     public class Notification
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Notification()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `activityStart()` |
    `static void` | `activityStartImmediately()` |
    `static void` | `activityStop()` |
    `static void` | `alert​(String message)` |
    `static void` | `confirm​(String message, com.google.gwt.core.client.Callback<Boolean,​Boolean> callback, String buttonsLabels)` |
    `static void` | `notifyMessage​(String icon, String title, String message)` |
    `static void` | `progressStart​(String title, String message)` |
    `static void` | `progressStop()` |
    `static void` | `progressValue​(int value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Notification

          public Notification()

  - ### Method Detail

    - #### activityStart

          public static void activityStart()

    - #### activityStartImmediately

          public static void activityStartImmediately()

    - #### activityStop

          public static void activityStop()

    - #### alert

          public static void alert​(String message)

    - #### confirm

          public static void confirm​(String message,
                                     com.google.gwt.core.client.Callback<Boolean,​Boolean> callback,
                                     String buttonsLabels)

    - #### progressStart

          public static void progressStart​(String title,
                                           String message)

    - #### progressStop

          public static void progressStop()

    - #### progressValue

          public static void progressValue​(int value)

    - #### notifyMessage

          public static void notifyMessage​(String icon,
                                           String title,
                                           String message)